# Intel® Enhanced Privacy ID SDK: PrivKey Struct Reference

PrivKey Struct Reference
epid » common » types

Intel(R) EPID 2.0 private key. More...

`#include <epid/common/types.h>`

## Data Fields

GroupId | gid
| group ID
G1ElemStr | A
| an element in G1
FpElemStr | x
| an integer between [0, p-1]
FpElemStr | f
| an integer between [0, p-1]

## Detailed Description

Intel(R) EPID 2.0 private key.

Private key: (gid, A, x, f)

Examples:
  signmsg.c.

The documentation for this struct was generated from the following file:

- epid/common/types.h